Package org.apache.nutch.scoring.webgraph

## Class NodeDumper.Sorter.SorterMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<Text,​Node,​FloatWritable,​Text>
  - - org.apache.nutch.scoring.webgraph.NodeDumper.Sorter.SorterMapper

- Enclosing class:
    NodeDumper.Sorter

      public static class NodeDumper.Sorter.SorterMapper
      extends Mapper<Text,​Node,​FloatWritable,​Text>

  Outputs the url with the appropriate number of inlinks, outlinks, or for score.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SorterMapper()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `map​(Text key, Node node, Mapper.Context context)` |
    `void` | `setup​(Mapper.Context context)` | Configures the mapper, sets the flag for type of content and the topN number if any.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SorterMapper

          public SorterMapper()

  - ### Method Detail

    - #### setup

          public void setup​(Mapper.Context context)

      Configures the mapper, sets the flag for type of content and the topN number if any.
      Overrides:
        `setup` in class `Mapper<Text,​Node,​FloatWritable,​Text>`

    - #### map

          public void map​(Text key,
                          Node node,
                          Mapper.Context context)
                   throws IOException,
                          InterruptedException

      Overrides:
        `map` in class `Mapper<Text,​Node,​FloatWritable,​Text>`
      Throws:
        `IOException`
        `InterruptedException`